<?php
/*
Plugin Name: TablePressNoCacheCommentExtension
Plugin URI: https://blog.tremlas.com/wordpress-plugins/tablepressnocachecommentextension/
Description: Suppress the html comment from TablePress that indicates the rendered table came from the cache
Version: 3.157.0
Author: David Vines
Author URI: http://blog.tremlas.com
License: GPLv2
*/
/* © Copyright 2020, 2021 David Vines
 *
 * TablePressNoCacheCommentExtension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License, version 2, as published by
 * the Free Software Foundation.
 *
 * TablePressNoCacheCommentExtension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WordPress. If not, see https://www.gnu.org/licenses/gpl-2.0.html.
 *
*/

include_once 'common.php';

function djv_TablePressNoCacheCommentExtension_no_cache_comment($content) {
 return ""; // Ignore the comment
}
add_filter( 'tablepress_cache_hit_comment', 'djv_TablePressNoCacheCommentExtension_no_cache_comment');

/* --------------------- Functions for updating plugins ------------------------------ */
function djv_TablePressNoCacheCommentExtension_pre_set_site_transient_update_plugins( $transient ) {
 $id = 'TablePressNoCacheCommentExtension/TablePressNoCacheCommentExtension.php';
 $name = 'TablePressNoCacheCommentExtension';
 $slug = 'TablePressNoCacheCommentExtension';
 return djv_plugin_pre_set_site_transient( $transient, $id, $name, $slug );
}
add_filter( 'pre_set_site_transient_update_plugins', 'djv_TablePressNoCacheCommentExtension_pre_set_site_transient_update_plugins' );

function djv_TablePressNoCacheCommentExtension_plugin_info( $result, $action, $args ) {
	$name = 'TablePressNoCacheCommentExtension';
	$slug = 'TablePressNoCacheCommentExtension';
	if ( 'plugin_information' !== $action ) {
		return $result;
	}
	if ( $slug !== $args->slug) {
		return $result;
	}
	return djv_plugin_get_remote_update_info( $name, $slug );
}
add_filter( 'plugins_api', 'djv_TablePressNoCacheCommentExtension_plugin_info', 10, 3 );


?>